/// @author: ygao
/// @date: 2023/4/21
/// @version: 1.0
/// @description:

import 'package:flutter/material.dart';

import 'fl_button.dart';

class FlTransfer extends StatefulWidget {
  FlTransfer({Key? key, this.left, this.right, this.toRight, this.toLeft}) : super(key: key);
  final Widget? left;
  final Widget? right;
  final VoidCallback? toRight;
  final VoidCallback? toLeft;

  @override
  _FlTransferState createState() => _FlTransferState();
}

class _FlTransferState extends State<FlTransfer> {
  @override
  Widget build(BuildContext context) {
    var buttonBar = Container(
      width: 60,
      child: ButtonBar(
        children: [
          FlButton(iconData: Icons.arrow_forward, onPressed: widget.toRight),
          FlButton(iconData: Icons.arrow_back, onPressed: widget.toLeft),
        ],
      ),
    );
    var result = Row(
      children: [
        widget.left!,
        buttonBar,
        widget.right!,
      ],
    );
    return result;
  }
}
